Description

It is useful if email reminders show the total number of open issues next to "View all issues" link like the following picture. The

information is very useful to understand how many tasks the user has without opening the issues list with a web browser.

 

Associated revisions

Revision 18061 - 2019-04-18 17:32 - Go MAEDA

Show the total number of open issues in a reminder (#31104).

Patch by Yuichi HARADA.

History

#1 - 2019-04-09 04:25 - Yuichi HARADA

- File 31104-show-number-of-open-issues.patch added

Go MAEDA wrote:

The information is very useful to understand how many tasks the user has without opening the issues list with a web browser.

 +1

I'm actually receiving reminders, but rarely open a web browser to see the issues list.

I attached a patch.

#2 - 2019-04-09 06:33 - Go MAEDA

Thank you for the patch but I noticed that there is one problem.

Although the URL in reminders shows issues assigned to the user and their group, the issue count only includes issues directly assigned to the user.

Assume that Bob is a member of group AcmeCompany. 7 issues are directly assigned to Bob and 3 issues are assigned to group AcmeCompny. In

this condition, Bob will see 10 issues when he clicks the URL in reminders. Actually, the issue count written in the email reminder is 7.

#3 - 2019-04-11 02:47 - Yuichi HARADA

- File 31104-show-number-of-open-issues-v2.patch added

Go MAEDA wrote:

Although the URL in reminders shows issues assigned to the user and their group, the issue count only includes issues directly assigned to the

user.
 Sorry, I made a mistake.

Change to use IssueQuery to get the number of open issues for the user and the group to which the his belongs.

I rebuilt a patch.

#4 - 2019-04-11 08:25 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#5 - 2019-04-18 17:32 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
